ddbg(1)

Name
ddbg — MAPI data debugger

Synopsis
/usr/libexec/gromox/ddbg [options...] command [args...]

Description
ddbg can be used to analyze various binary blobs. If no arguments are given, input is instead read from stdin instead.

Options

-p, --pack
    Employ hex2bin before main action.

Commands

-d, --decode
    Try all decoders.

-A, --decode-action
    Decode rule action blob.

-e, --decode-entryid
    Decode entryid.

--decode-guid
    Lookup GUID.

--decode-nttime
    Decode an NT timestamp and show the equivalent Unix time and calendar-based date.

--decode-restrict
    Decode restriction blob (e.g. rule condition).

--decode-unixtime
    Decode an Unix timestamp and show the equivalent NT time and calendar-based date.

--lzxdec
    Uncompress an lzxpress data stream.

--lzxenc
    Compress data stream with lzxpress.

--rtfcp
    Convert RTF to the RTFCP format, particularly the uncompressed "MELA" subformat.

--rtftohtml
    Convert RTF to HTML.

--texttohtml
    Convert plaintext to HTML.

--unrtfcp
    Decompress RTFCP (either "MELA" or "LZFU") to RTF.

Environment variables
AVOID_W3M can be set to yes/no to control htmltotext behavior.

Examples

•   ddbg -p --decode-guid 38a1bb1005e5101aa1bb08002b2a56c2

•   ddbg --unrtfcp <body.bin >body.rtf

See also
gromox(7)